DCMTK: DRTFixedRTBeamDelimiterDeviceSequence::Item Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
DRTFixedRTBeamDelimiterDeviceSequence::Item Class Reference

Item class. More...

Inheritance diagram for DRTFixedRTBeamDelimiterDeviceSequence::Item:

## Public Member Functions
| Item (const OFBool emptyDefaultItem=OFFalse)
| (default) constructor
| Item (const Item &copy)
| copy constructor
virtual | ~Item ()
| destructor
Item & | operator= (const Item &copy)
| assignment operator
void | clear ()
| clear all internal member variables
OFBool | isEmpty ()
| check if item is empty
OFBool | isValid () const
| check if item is valid, i.e. not the empty default item
OFCondition | read (DcmItem &item)
| read elements from sequence item
OFCondition | write (DcmItem &item)
| write elements to sequence item
OFCondition | getCenterOfCircularOutline (Float64 &value, const unsigned long pos=0) const
| get CenterOfCircularOutline (0018,1635)
OFCondition | getDiameterOfCircularOutline (Float64 &value, const unsigned long pos=0) const
| get DiameterOfCircularOutline (0018,1636)
OFCondition | getNumberOfPolygonalVertices (Uint32 &value, const unsigned long pos=0) const
| get NumberOfPolygonalVertices (0018,1637)
OFCondition | getOutlineLeftVerticalEdge (Float64 &value, const unsigned long pos=0) const
| get OutlineLeftVerticalEdge (0018,1631)
OFCondition | getOutlineLowerHorizontalEdge (Float64 &value, const unsigned long pos=0) const
| get OutlineLowerHorizontalEdge (0018,1634)
OFCondition | getOutlineRightVerticalEdge (Float64 &value, const unsigned long pos=0) const
| get OutlineRightVerticalEdge (0018,1632)
OFCondition | getOutlineShapeType (OFString &value, const signed long pos=0) const
| get OutlineShapeType (0018,1630)
OFCondition | getOutlineUpperHorizontalEdge (Float64 &value, const unsigned long pos=0) const
| get OutlineUpperHorizontalEdge (0018,1633)
OFCondition | setCenterOfCircularOutline (const Float64 value, const unsigned long pos=0)
| set CenterOfCircularOutline (0018,1635)
OFCondition | setDiameterOfCircularOutline (const Float64 value, const unsigned long pos=0)
| set DiameterOfCircularOutline (0018,1636)
OFCondition | setNumberOfPolygonalVertices (const Uint32 value, const unsigned long pos=0)
| set NumberOfPolygonalVertices (0018,1637)
OFCondition | setOutlineLeftVerticalEdge (const Float64 value, const unsigned long pos=0)
| set OutlineLeftVerticalEdge (0018,1631)
OFCondition | setOutlineLowerHorizontalEdge (const Float64 value, const unsigned long pos=0)
| set OutlineLowerHorizontalEdge (0018,1634)
OFCondition | setOutlineRightVerticalEdge (const Float64 value, const unsigned long pos=0)
| set OutlineRightVerticalEdge (0018,1632)
OFCondition | setOutlineShapeType (const OFString &value, const OFBool check=OFTrue)
| set OutlineShapeType (0018,1630)
OFCondition | setOutlineUpperHorizontalEdge (const Float64 value, const unsigned long pos=0)
| set OutlineUpperHorizontalEdge (0018,1633)

## Private Attributes
OFBool | EmptyDefaultItem
| internal flag used to mark the empty default item
DcmFloatingPointDouble | CenterOfCircularOutline
| CenterOfCircularOutline (0018,1635) vr=FD, vm=2, type=1C.
DcmFloatingPointDouble | DiameterOfCircularOutline
| DiameterOfCircularOutline (0018,1636) vr=FD, vm=1, type=1C.
DcmUnsignedLong | NumberOfPolygonalVertices
| NumberOfPolygonalVertices (0018,1637) vr=UL, vm=1, type=1C.
DcmFloatingPointDouble | OutlineLeftVerticalEdge
| OutlineLeftVerticalEdge (0018,1631) vr=FD, vm=1, type=1C.
DcmFloatingPointDouble | OutlineLowerHorizontalEdge
| OutlineLowerHorizontalEdge (0018,1634) vr=FD, vm=1, type=1C.
DcmFloatingPointDouble | OutlineRightVerticalEdge
| OutlineRightVerticalEdge (0018,1632) vr=FD, vm=1, type=1C.
DcmCodeString | OutlineShapeType
| OutlineShapeType (0018,1630) vr=CS, vm=1, type=1.
DcmFloatingPointDouble | OutlineUpperHorizontalEdge
| OutlineUpperHorizontalEdge (0018,1633) vr=FD, vm=1, type=1C.
DcmOtherFloat | VerticesOfThePolygonalOutline
| VerticesOfThePolygonalOutline (0018,1638) vr=OF, vm=1, type=1C.

## Additional Inherited Members
Protected Member Functions inherited from DRTTypes
virtual | ~DRTTypes ()
| destructor.
Static Protected Member Functions inherited from DRTTypes
static OFCondition | addElementToDataset (OFCondition &result, DcmItem &dataset, DcmElement *element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| add given element to the dataset.
static OFCondition | getElementFromDataset (DcmItem &dataset, DcmElement &element)
| get element from dataset
static OFCondition | getStringValueFromElement (const DcmElement &element, OFString &stringValue, const signed long pos=0)
| get string value from element
static OFCondition | getStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue)
| get string value from dataset
static OFCondition | putStringValueToDataset (DcmItem &dataset, const DcmTag &tag, const OFString &stringValue, const OFBool allowEmpty=OFTrue)
| put string value to dataset
static OFBool | checkElementValue (DcmElement &element, const OFString &vm, const OFString &type, const OFCondition &searchCond=EC_Normal, const char *moduleName=NULL)
| check element value for correct value multiplicity and type
static OFCondition | getAndCheckElementFromDataset (DcmItem &dataset, DcmElement &element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get element from dataset and check it for correct value multiplicity and type.
static OFCondition | getAndCheckStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get string value from dataset and check it for correct value multiplicity and type.

## Detailed Description

Item class.

## Constructor & Destructor Documentation

## ◆ Item() [1/2]

DRTFixedRTBeamDelimiterDeviceSequence::Item::Item | ( | const OFBool | emptyDefaultItem = OFFalse | ) |

(default) constructor

Parameters

  emptyDefaultItem | flag used to mark the empty default item

Referenced by Item(), and operator=().

## ◆ Item() [2/2]

DRTFixedRTBeamDelimiterDeviceSequence::Item::Item | ( | const Item & | copy | ) |

copy constructor

Parameters

  copy | item object to be copied

References Item().

## Member Function Documentation

## ◆ getCenterOfCircularOutline()

OFCondition DRTFixedRTBeamDelimiterDeviceSequence::Item::getCenterOfCircularOutline | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get CenterOfCircularOutline (0018,1635)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getDiameterOfCircularOutline()

OFCondition DRTFixedRTBeamDelimiterDeviceSequence::Item::getDiameterOfCircularOutline | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get DiameterOfCircularOutline (0018,1636)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getNumberOfPolygonalVertices()

OFCondition DRTFixedRTBeamDelimiterDeviceSequence::Item::getNumberOfPolygonalVertices | ( | Uint32 & | value,
|  | const unsigned long | pos = 0 ) const

get NumberOfPolygonalVertices (0018,1637)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getOutlineLeftVerticalEdge()

OFCondition DRTFixedRTBeamDelimiterDeviceSequence::Item::getOutlineLeftVerticalEdge | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get OutlineLeftVerticalEdge (0018,1631)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getOutlineLowerHorizontalEdge()

OFCondition DRTFixedRTBeamDelimiterDeviceSequence::Item::getOutlineLowerHorizontalEdge | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get OutlineLowerHorizontalEdge (0018,1634)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getOutlineRightVerticalEdge()

OFCondition DRTFixedRTBeamDelimiterDeviceSequence::Item::getOutlineRightVerticalEdge | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get OutlineRightVerticalEdge (0018,1632)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getOutlineShapeType()

OFCondition DRTFixedRTBeamDelimiterDeviceSequence::Item::getOutlineShapeType | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get OutlineShapeType (0018,1630)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getOutlineUpperHorizontalEdge()

OFCondition DRTFixedRTBeamDelimiterDeviceSequence::Item::getOutlineUpperHorizontalEdge | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get OutlineUpperHorizontalEdge (0018,1633)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ isEmpty()

OFBool DRTFixedRTBeamDelimiterDeviceSequence::Item::isEmpty | ( |  | ) |

check if item is empty

Returns
  OFTrue if item is empty, OFFalse otherwise

## ◆ isValid()

OFBool DRTFixedRTBeamDelimiterDeviceSequence::Item::isValid | ( |  | ) | const

check if item is valid, i.e. not the empty default item

Returns
  OFTrue if item is valid, OFFalse otherwise

## ◆ operator=()

Item & DRTFixedRTBeamDelimiterDeviceSequence::Item::operator= | ( | const Item & | copy | ) |

assignment operator

Parameters

  copy | item object to be copied

Returns
  reference to this object

References Item().

## ◆ read()

OFCondition DRTFixedRTBeamDelimiterDeviceSequence::Item::read | ( | DcmItem & | item | ) |

read elements from sequence item

Parameters

  item | reference to DICOM sequence item from which the elements should be read

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setCenterOfCircularOutline()

OFCondition DRTFixedRTBeamDelimiterDeviceSequence::Item::setCenterOfCircularOutline | ( | const Float64 | value,
|  | const unsigned long | pos = 0 )

set CenterOfCircularOutline (0018,1635)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=2

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setDiameterOfCircularOutline()

OFCondition DRTFixedRTBeamDelimiterDeviceSequence::Item::setDiameterOfCircularOutline | ( | const Float64 | value,
|  | const unsigned long | pos = 0 )

set DiameterOfCircularOutline (0018,1636)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setNumberOfPolygonalVertices()

OFCondition DRTFixedRTBeamDelimiterDeviceSequence::Item::setNumberOfPolygonalVertices | ( | const Uint32 | value,
|  | const unsigned long | pos = 0 )

set NumberOfPolygonalVertices (0018,1637)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setOutlineLeftVerticalEdge()

OFCondition DRTFixedRTBeamDelimiterDeviceSequence::Item::setOutlineLeftVerticalEdge | ( | const Float64 | value,
|  | const unsigned long | pos = 0 )

set OutlineLeftVerticalEdge (0018,1631)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setOutlineLowerHorizontalEdge()

OFCondition DRTFixedRTBeamDelimiterDeviceSequence::Item::setOutlineLowerHorizontalEdge | ( | const Float64 | value,
|  | const unsigned long | pos = 0 )

set OutlineLowerHorizontalEdge (0018,1634)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setOutlineRightVerticalEdge()

OFCondition DRTFixedRTBeamDelimiterDeviceSequence::Item::setOutlineRightVerticalEdge | ( | const Float64 | value,
|  | const unsigned long | pos = 0 )

set OutlineRightVerticalEdge (0018,1632)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setOutlineShapeType()

OFCondition DRTFixedRTBeamDelimiterDeviceSequence::Item::setOutlineShapeType | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set OutlineShapeType (0018,1630)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setOutlineUpperHorizontalEdge()

OFCondition DRTFixedRTBeamDelimiterDeviceSequence::Item::setOutlineUpperHorizontalEdge | ( | const Float64 | value,
|  | const unsigned long | pos = 0 )

set OutlineUpperHorizontalEdge (0018,1633)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ write()

OFCondition DRTFixedRTBeamDelimiterDeviceSequence::Item::write | ( | DcmItem & | item | ) |

write elements to sequence item

Parameters

  item | reference to DICOM sequence item to which the elements should be written

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmrt/include/dcmtk/dcmrt/seq/drtfbdds.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2